namespace IRaCIS.Core.Domain.Models;

[Comment("阅片计划")]
[Table("ReadingPeriodPlan")]
public class ReadingPeriodPlan : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [ForeignKey("SubjectVisitId")]
    [JsonIgnore]
    public SubjectVisit SubjectVisit { get; set; }

    [Comment("阅片期配置")]
    [ForeignKey("ReadingPeriodSetId")]
    [JsonIgnore]
    public ReadingPeriodSet ReadingPeriodSet { get; set; }
    #endregion
    [Comment("阅片期配置ID")]
    public Guid ReadingPeriodSetId { get; set; }

    [Comment("访视")]
    public Guid SubjectVisitId { get; set; }
}
